package com.shigongli.service.impl;

import com.shigongli.entity.TaHouseOrder;
import com.shigongli.mapper.TaHouseOrderMapper;
import com.shigongli.service.ITaHouseOrderService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.time.ZoneId;
import java.util.Random;

/**
 * <p>
 * 房源订单 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2020-12-11
 */
@Service
public class TaHouseOrderServiceImpl extends ServiceImpl<TaHouseOrderMapper, TaHouseOrder> implements ITaHouseOrderService {

    @Override
    public String getNextOrderId() {
        long sec = LocalDateTime.now().atZone(ZoneId.systemDefault()).toEpochSecond();
        String randNum = String.format("%02d", new Random().nextInt(99));

        return sec + "-" + randNum;
    }
}
